<template>
    <AppDashboard />
    <div class="sm:ml-64">
        <h1 class="flex items-center text-5xl font-extrabold dark:text-white">
            {{ form ? form.name : 'Chargement en cours...' }}
            <span class="bg-orange-100 text-orange-800 text-2xl font-semibold me-2 px-2.5 py-0.5 rounded-lg dark:bg-orange-200 dark:text-orange-800 ms-2">lite</span>
        </h1>

        <div class="container mx-auto p-4">
            <div v-if="form" class="form">
                <h2 class="text-2xl font-bold mb-4">{{ form.name }}</h2>
                <p>{{ form.desc }}</p>
                <!-- Render the form fields here -->
                <div v-for="(value, key) in form.properties" :key="key" class="mb-4">
                    <label :for="key" class="block text-sm font-medium text-gray-700">{{ value.title }}</label>
                    <input v-if="value.type === 'string'" :type="value.format === 'date' ? 'date' : 'text'" :id="key" :name="key" class="mt-1 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" />
                    <!-- Add other input types if needed -->
                </div>
            </div>
            <div v-else>
                Chargement en cours...
            </div>
        </div>
    </div>
</template>


<script setup>
    import { ref, onMounted } from 'vue'
    import { useRoute } from 'vue-router'

    const route = useRoute()
    const form = ref(null)

    onMounted(async () => {
        const { id } = route.params
        const response = await fetch(`/api/PrintCraftforms`)
        const forms = await response.json()
        form.value = forms.find(f => f.id === id)
        if (form.value) {
            // Fetch the specific schema YAML file and convert it to JSON
            const schemaResponse = await fetch(`/api/GetSchema?id=${form.value.id}`)
            if (schemaResponse.ok) {
                form.value = await schemaResponse.json()
            } else {
                console.error("Failed to load schema", schemaResponse.statusText)
            }
        }
    })
</script>
